function s = i2_mat( Npsi, Nphi, L)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                                   %
%                                                                   %
%                              VK-Gong                              % 
%                                                                   %
%                                                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Auxiliary integral for the computation of the coupling coefficient H

s = zeros(Npsi,Nphi,Nphi);

for m = 1 : Npsi 
    m1 = m - 1;
    for n = 1 : Nphi 
        
        for p = 1 : Nphi 
            
            if n == 0 || p == 0
                
                s(m,n,p) = 0;
                
            elseif n == p && p ~= 0
                
                s(m,n,p)  = (+ 15/L^4*((-1)^(m1) + 1))*(L^5*(4*pi^5*p^5 - 20*pi^3*p^3 + 30*pi*p))/(40*pi^5*p^5);
                
            else
                
                s(m,n,p)  = -(+ 15/L^4*((-1)^(m1) + 1))*(8796093022208*L*((sin(pi*(n + p))*((1713638851887625*L^4*(n + p)^4)/17592186044416 - (8334140006820045*L^4*(n + p)^2)/70368744177664 + 24*L^4) + 4*pi*L^2*cos(pi*(n + p))*(n + p)*((2778046668940015*L^2*(n + p)^2)/281474976710656 - 6*L^2))/(n + p)^5 - (sin(pi*(n - p))*((1713638851887625*L^4*(n - p)^4)/17592186044416 - (8334140006820045*L^4*(n - p)^2)/70368744177664 + 24*L^4) + 4*pi*L^2*cos(pi*(n - p))*(n - p)*((2778046668940015*L^2*(n - p)^2)/281474976710656 - 6*L^2))/(n - p)^5))/5383555227996211;
                
            end
            
        end
        
    end
    
    %s(m+1,n+1,p+1) = (+ 15/L^4*((-1)^(m) + 1))*s(m+1,n+1,p+1);
    
end